Bug 238460 - devel/py-setuptools: Update to 41.0.1
Summary: devel/py-setuptools: Update to 41.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-10 16:35 UTC by Steve Wills
Modified: 2019-06-29 09:30 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (python)


Attachments
patch (905 bytes, patch)
2019-06-10 16:35 UTC, Steve Wills
no flags Details | Diff
updated patch (1.62 KB, patch)
2019-06-18 17:36 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2019-06-10 16:35:16 UTC
New version available, I'll post a patch
Comment 1 Steve Wills freebsd_committer 2019-06-10 16:35:21 UTC
Created attachment 204951 [details]
patch

patch to update port
Comment 2 Steve Wills freebsd_committer 2019-06-18 17:36:22 UTC
Created attachment 205207 [details]
updated patch

Slightly updated.
Comment 3 Martin Wilke freebsd_committer 2019-06-24 14:10:43 UTC
Looks good to me. Go ahead.
Comment 4 Steve Wills freebsd_committer 2019-06-24 14:16:30 UTC
portlint says:

FATAL: PLIST_FILES: files cannot contain %%FOO%% variables.  Use make variables and logic instead

But that was there already and I'm not sure it's correct here, I'm just trying to update for now.

testport: OK (poduriere: 11.2, 12.0, and HEAD on amd64, default options tested)

"make test" results show:

39 failed, 598 passed, 36 skipped, 4 xfailed

which is almost exactly what the previous version (41.0.0) shows, except it had 37 failed. Not perfect, but I think it's OK.
Comment 5 commit-hook freebsd_committer 2019-06-29 09:28:48 UTC
A commit references this bug:

Author: swills
Date: Sat Jun 29 09:28:42 UTC 2019
New revision: 505340
URL: https://svnweb.freebsd.org/changeset/ports/505340

Log:
  devel/py-setuptools: Update to 41.0.1

  PR:		238460
  Approved by:	miwi

Changes:
  head/devel/py-setuptools/Makefile
  head/devel/py-setuptools/distinfo